
Redmine - Patch #30163

Remove unnecessary tests in test/unit/initializers/patches_test.rb

2018-12-09 17:41 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

There are tests for ActiveSupport::HashWithIndifferentAccess in test/unit/initializers/patches_test.rb. Now we can remove those tests

safely.

The tests were added in r13115 to test a patch that was added as a workaround for regression of Ruby 2.1. However, the patch was

removed in r13892 so the tests lost its meaning. The tests should have been removed along with the patch but it is still there.

This patch deletes the tests which became unnecessary since r13892.

Associated revisions

Revision 17727 - 2018-12-13 01:17 - Go MAEDA

Remove unnecessary tests in test/unit/initializers/patches_test.rb (#30163).

Revision 17733 - 2018-12-13 20:56 - Jean-Philippe Lang

Removed instance variables that are no longer used after r17727 (#30163).

History

#1 - 2018-12-13 01:17 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed.

Files

remove-unnecessary-tests.diff 2.44 KB 2018-12-09 Go MAEDA
